org.wso2.carbon.governance.api.generic.dataobjects

## Interface GenericArtifact

- All Superinterfaces:
    GovernanceArtifact
  All Known Subinterfaces:
    DetachedGenericArtifact
  All Known Implementing Classes:
    DetachedGenericArtifactImpl, GenericArtifactImpl

      public interface GenericArtifact
      extends GovernanceArtifact

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getContent()` Method to obtain the content of this artifact.
    `String` | `getMediaType()` Returns the media type of the artifact.
    `void` | `setContent(byte[] content)` Method to set the content of this artifact.

    - ### Methods inherited from interface org.wso2.carbon.governance.api.common.dataobjects.GovernanceArtifact

      `addAssociation, addAssociation, addAttribute, addBidirectionalAssociation, addTag, addTags, attach, attach, attachLifecycle, checkLCItem, compareTo, detach, getAllCheckListItemNames, getAllLifecycleActions, getAllVotingItems, getAllVotingItems, getAssociatedArtifactIds, getAssociations, getAttribute, getAttributeKeys, getAttributes, getCurrentStateDuration, getDependencies, getDependents, getId, getLifecycleName, getLifecycleNames, getLifecycleState, getLifecycleState, getPath, getPropertyKeys, getQName, invokeAction, invokeAction, isLCItemChecked, isRegistryAwareArtifact, isVoted, isVoted, listTags, removeAssociation, removeAssociation, removeAttribute, removeTag, removeTags, setAttribute, setAttributes, setId, setQName, uncheckLCItem, uniqueTo, unvote, unvote, vote, vote`

- - ### Method Detail

    - #### getMediaType

          String getMediaType()

      Returns the media type of the artifact.
      Specified by:
        `getMediaType` in interface `GovernanceArtifact`
      Returns:
        the media type of the artifact

    - #### getContent

          byte[] getContent()

      Method to obtain the content of this artifact.
      Returns:
        the content.

    - #### setContent

          void setContent(byte[] content)

      Method to set the content of this artifact.
      Parameters:
        `content` - the element.

Copyright © 2017 WSO2. All Rights Reserved.